<?php

namespace App\Http\Controllers;

use App\Models\Attendance;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use App\Models\User;
use Validator;
use DateTime;
use DatePeriod;
use DateInterval;

class AttendanceController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
       
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //return view('qr.create');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $data = request()->all();
        $validator = Validator::make($data, [
            'status' => 'required'
        ]);
        
        if ($validator->fails()) {
        return response()->json([
                'errors' => $validator->errors(),
                'status' => 400,
            ], 400);
        }
        if($request->status != 'checkin') {
            $lastAttnd = Attendance::where('userid', $request->user()->id)->orderBy('id','DESC')->first();
            if(empty($lastAttnd)) {
                return response()->json(['error'=>'Issue while marking attendance']);
            } else if($lastAttnd->status != 'checkin') {
                 return response()->json(['error'=>'Issue while marking attendance']);
            }
        }
        
        $attend = new Attendance([
            'userid'  => $request->user()->id,
            'status' => $request->status,
            'datetime' => date("Y-m-d H:i:s"),
            'created_at' => date("Y-m-d"),
        ]);

        if($attend->save()){

            return response()->json([
            'message' => 'Successfully added attendance!',
            'status'=> 200,
            ],201);
        }
        else {
            return response()->json(['error'=>'Issue while marking attendance']);
        }
            
        // $rules = [
        //     'name' => 'required|unique:qr,name',
        //     'slug' => 'required|unique:qr,slug|alpha_dash',
        // ];

        // $validatedData = $request->validate($rules);

        // Qr::create($validatedData);

        // return Redirect::route('qr.index')->with('success', 'Qr has been created!');
    }

    /**
     * Display the specified resource.
     */
    public function show(Qr $qr)
    {
      abort(404);
    }

    /**
    ]\* Show the form for editing the specified rsource.
     */
    public function edit(Qr $qr)
    {
        return view('qr.edit', [
            'qr' => $qr
        ]);
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, Qr $qr)
    {
        // $rules = [
        //     'name' => 'required|unique:qr,name,'.$qr->id,
        //     'slug' => 'required|alpha_dash|unique:qr,slug,'.$qr->id,
        // ];

        // $validatedData = $request->validate($rules);

        // Qr::where('slug', $qr->slug)->update($validatedData);

        // return Redirect::route('qr.index')->with('success', 'Qr has been updated!');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Qr $qr)
    {
        // Qr::destroy($qr->id);

        // return Redirect::route('qr.index')->with('success', 'Qr has been deleted!');
    }
    
    public function getAttendance(Request $request, $date)
    {
        $uid = $request->user()->id;
        $attend = Attendance::where('created_at', $date)->where('userid', $uid)->get();
        if(!empty($attend)) {
            $final = [];
            $hours = 0;
            foreach($attend as $at) {
                
                $datetime = new DateTime($at->datetime);

                $final[] = [
                    "id" => $at->id,
                    "status" => $at->status,
                    "time" => $datetime->format(DateTime::ATOM),
                ];
                if ( $at->status == "checkin" ) // IF CURRENT ROW IS START TIME
                   $start = strtotime( $at->datetime );
              else { $stop = strtotime( $at->datetime ); // STOP TIME. CALCULATE
                     $hours += ( $stop - $start ) / 3600;
                   }
            }
             return response()->json([
                'Attendace' => $final,
                'totalhour' => number_format($hours, 2),
                'status'=> 200,
            ]);
            
        } else {
            return response()->json(['error'=>'No data found!']);
        }
    }
    public function dateRangeAttendance(Request $request)
    {
        $data = request()->all();
        $validator = Validator::make($data, [
            'from' => 'required',
            'to' => 'required'
        ]);
        
        if ($validator->fails()) {
        return response()->json([
                'errors' => $validator->errors(),
                'status' => 400,
            ], 400);
        }
        function dateRange($from, $to)
        {
            return array_map(function($arg) {
                 return date('Y-m-d', $arg);
            }, range(strtotime($from), strtotime($to), 86400));
        }
        $uid = $request->user()->id;
        $dates = dateRange($request->from, $request->to);
        $result = [];
        foreach($dates as $date) {
           $attend = Attendance::where('created_at', $date)->where('userid', $uid)->get();
           if(!empty($attend)) {
                $final = [];
                $hours = 0;
                foreach($attend as $at) {
                    
                    $datetime = new DateTime($at->datetime);
    
                    $final[] = [
                        "id" => $at->id,
                        "status" => $at->status,
                        "time" => $datetime->format(DateTime::ATOM),
                    ];
                    if ( $at->status == "checkin" ) // IF CURRENT ROW IS START TIME
                       $start = strtotime( $at->datetime );
                  else { $stop = strtotime( $at->datetime ); // STOP TIME. CALCULATE
                         $hours += ( $stop - $start ) / 3600;
                       }
                }
                $result[$date] = [
                    'Attendace' => $final,
                    'totalhour' => number_format($hours, 2),
                ];
            }
            
        }
        return response()->json([
            'Attendace' => $result,
            'status'=> 200,
        ]);
       
        // $attend = Attendance::where('created_at', $date)->where('userid', $uid)->get();
        //  else {
        //     return response()->json(['error'=>'No data found!']);
        // }
    }
    
    public function dateRangeAttendanceUser(Request $request)
    {
        $data = request()->all();
        $validator = Validator::make($data, [
            'from' => 'required',
            'to' => 'required',
            'userid' => 'required',
        ]);
        
        if ($validator->fails()) {
        return response()->json([
                'errors' => $validator->errors(),
                'status' => 400,
            ], 400);
        }
        function dateRange($from, $to)
        {
            return array_map(function($arg) {
                 return date('Y-m-d', $arg);
            }, range(strtotime($from), strtotime($to), 86400));
        }
        $uid = $request->userid;
        $dates = dateRange($request->from, $request->to);
        $result = [];
        foreach($dates as $date) {
           $attend = Attendance::where('created_at', $date)->where('userid', $uid)->get();
           if(!empty($attend)) {
                $final = [];
                $hours = 0;
                foreach($attend as $at) {
                    
                    $datetime = new DateTime($at->datetime);
    
                    $final[] = [
                        "id" => $at->id,
                        "status" => $at->status,
                        "time" => $datetime->format(DateTime::ATOM),
                    ];
                    if ( $at->status == "checkin" ) // IF CURRENT ROW IS START TIME
                       $start = strtotime( $at->datetime );
                  else { $stop = strtotime( $at->datetime ); // STOP TIME. CALCULATE
                         $hours += ( $stop - $start ) / 3600;
                       }
                }
                $result[$date] = [
                    'Attendace' => $final,
                    'totalhour' => number_format($hours, 2),
                ];
            }
            
        }
        return response()->json([
            'Attendace' => $result,
            'status'=> 200,
        ]);
       
        // $attend = Attendance::where('created_at', $date)->where('userid', $uid)->get();
        //  else {
        //     return response()->json(['error'=>'No data found!']);
        // }
    }
}