<?php $__env->startSection('specificpagescripts'); ?>
<script src="<?php echo e(asset('assets/js/img-preview.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<!-- BEGIN: Header -->
<header class="page-header page-header-compact page-header-light border-bottom bg-white mb-4">
    <div class="container-xl px-4">
        <div class="page-header-content">
            <div class="row align-items-center justify-content-between pt-3">
                <div class="col-auto mb-3">
                    <h1 class="page-header-title">
                        <div class="page-header-icon"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-file"><path d="M13 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V9z"></path><polyline points="13 2 13 9 20 9"></polyline></svg></div>
                        Point of Sale
                    </h1>
                </div>
            </div>
        </div>
    </div>
</header>
<!-- END: Header -->

<!-- BEGIN: Alert -->
<div class="container-xl px-4">
    <?php if(session()->has('success')): ?>
    <div class="alert alert-success alert-icon" role="alert">
        <button class="btn-close" type="button" data-bs-dismiss="alert" aria-label="Close"></button>
        <div class="alert-icon-aside">
            <i class="far fa-flag"></i>
        </div>
        <div class="alert-icon-content">
            <?php echo e(session('success')); ?>

        </div>
    </div>
    <?php endif; ?>
</div>
<!-- END: Alert -->

<!-- BEGIN: Main Page Content -->
<div class="container-xl px-4">
    <div class="row">

        <!-- BEGIN: Section Left -->
        <div class="col-xl-6">
            <!-- BEGIN: Cart -->
            <div class="card mb-4">
                <div class="card-header">
                    Cart
                </div>
                <div class="card-body">
                    <!-- BEGIN: Table Cart -->
                    <div class="table-responsive">
                        <table class="table table-striped align-middle">
                            <thead class="thead-light">
                                <tr>
                                    <th scope="col">Name</th>
                                    <th scope="col">QTY</th>
                                    <th scope="col">Price</th>
                                    <th scope="col">SubTotal</th>
                                    <th scope="col">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $carts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($item->name); ?></td>
                                    <td style="min-width: 170px;">
                                        <form action="<?php echo e(route('pos.updateCartItem', $item->rowId)); ?>" method="POST">
                                            <?php echo csrf_field(); ?>
                                            <div class="input-group">
                                                <input type="number" class="form-control" name="qty" required value="<?php echo e(old('qty', $item->qty)); ?>">
                                                <div class="input-group-append">
                                                    <button type="submit" class="btn btn-success border-none" data-toggle="tooltip" data-placement="top" title="" data-original-title="Sumbit"><i class="fas fa-check"></i></button>
                                                </div>
                                            </div>
                                        </form>
                                    </td>
                                    <td><?php echo e($item->price); ?></td>
                                    <td><?php echo e($item->subtotal); ?></td>
                                    <td>
                                        <div class="d-flex">
                                            <form action="<?php echo e(route('pos.deleteCartItem', $item->rowId)); ?>" method="POST">
                                                <?php echo method_field('delete'); ?>
                                                <?php echo csrf_field(); ?>
                                                <button type="submit" class="btn btn-outline-danger btn-sm" onclick="return confirm('Are you sure you want to delete this record?')">
                                                    <i class="far fa-trash-alt"></i>
                                                </button>
                                            </form>
                                        </div>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                    <!-- END: Table Cart -->

                    <!-- Form Row -->
                    <div class="row gx-3 mb-3">
                        <!-- Form Group (total product) -->
                        <div class="col-md-6">
                            <label class="small mb-1">Total Product</label>
                            <div class="form-control form-control-solid fw-bold text-red"><?php echo e(Cart::count()); ?></div>
                        </div>
                        <!-- Form Group (subtotal) -->
                        <div class="col-md-6">
                            <label class="small mb-1">Subtotal</label>
                            <div class="form-control form-control-solid fw-bold text-red"><?php echo e(Cart::subtotal()); ?></div>
                        </div>
                    </div>
                    <!-- Form Row -->
                    <div class="row gx-3 mb-3">
                        <!-- Form Group (tax) -->
                        <div class="col-md-6">
                            <label class="small mb-1">Tax</label>
                            <div class="form-control form-control-solid fw-bold text-red"><?php echo e(Cart::tax()); ?></div>
                        </div>
                        <!-- Form Group (total) -->
                        <div class="col-md-6">
                            <label class="small mb-1">Total</label>
                            <div class="form-control form-control-solid fw-bold text-red"><?php echo e(Cart::total()); ?></div>
                        </div>
                    </div>
                    <!-- Form Group (customer) -->

                    <form action="<?php echo e(route('pos.createInvoice')); ?>" method="POST">
                        <?php echo csrf_field(); ?>
                        <div class="row mb-3">
                            <div class="col-md-12">
                                <label class="small mb-1" for="customer_id">Customer <span class="text-danger">*</span></label>
                                <select class="form-select form-control-solid <?php $__errorArgs = ['customer_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="customer_id" name="customer_id">
                                    <option selected="" disabled="">Select a customer:</option>
                                    <?php $__currentLoopData = $customers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $customer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($customer->id); ?>" <?php if(old('customer_id') == $customer->id): ?> selected="selected" <?php endif; ?>><?php echo e($customer->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php $__errorArgs = ['customer_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="invalid-feedback">
                                    <?php echo e($message); ?>

                                </div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                                <!-- Submit button -->
                            <div class="col-md-12 mt-4">
                                <div class="d-flex flex-wrap align-items-center justify-content-center">
                                    <a href="<?php echo e(route('customers.create')); ?>" class="btn btn-primary add-list mx-1">Add Customer</a>
                                    <button type="submit" class="btn btn-success add-list mx-1">Create Invoice</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <!-- END: Cart -->
        </div>
        <!-- END: Section Left -->


        <!-- BEGIN: Section Right -->
        <div class="col-xl-6">
            <!-- Product image card-->
            <div class="card mb-4 mb-xl-0">
                <div class="card-header">List Product</div>

                <div class="card-body">
                    <!-- BEGIN: Search products -->
                    <div class="col-lg-12">
                        <form action="<?php echo e(route('pos.index')); ?>" method="GET">
                            <div class="d-flex flex-wrap align-items-center justify-content-between">
                                <div class="form-group row align-items-center">
                                    <label for="row" class="col-auto">Row:</label>
                                    <div class="col-auto">
                                        <select class="form-control" name="row">
                                            <option value="10" <?php if(request('row') == '10'): ?>selected="selected"<?php endif; ?>>10</option>
                                            <option value="25" <?php if(request('row') == '25'): ?>selected="selected"<?php endif; ?>>25</option>
                                            <option value="50" <?php if(request('row') == '50'): ?>selected="selected"<?php endif; ?>>50</option>
                                            <option value="100" <?php if(request('row') == '100'): ?>selected="selected"<?php endif; ?>>100</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group row align-items-center justify-content-between">
                                    <label class="control-label col-sm-3" for="search">Search:</label>
                                    <div class="col-sm-8">
                                        <div class="input-group">
                                            <input type="text" id="search" class="form-control me-1" name="search" placeholder="Search product" value="<?php echo e(request('search')); ?>">
                                            <div class="input-group-append d-flex">
                                                <button type="submit" class="input-group-text bg-primary"><i class="fa-solid fa-magnifying-glass font-size-20 text-white"></i></button>
                                                <a href="<?php echo e(route('pos.index')); ?>" class="input-group-text bg-danger"><i class="fa-solid fa-trash font-size-20 text-white"></i></a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <!-- END: Search products -->

                    <!-- BEGIN: Products List -->
                    <div class="col-lg-12">
                        <div class="table-responsive">
                            <table class="table table-striped align-middle">
                                <thead class="thead-light">
                                    <tr>
                                        <th scope="col">No.</th>
                                        <th scope="col"><?php echo \Kyslik\ColumnSortable\SortableLink::render(array ('product_name', 'Name'));?></th>
                                        <th scope="col"><?php echo \Kyslik\ColumnSortable\SortableLink::render(array ('stock'));?></th>
                                        <th scope="col"><?php echo \Kyslik\ColumnSortable\SortableLink::render(array ('unit.name', 'unit'));?></th>
                                        <th scope="col"><?php echo \Kyslik\ColumnSortable\SortableLink::render(array ('selling_price', 'Price'));?></th>
                                        <th scope="col">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__empty_1 = true; $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <tr>
                                        <th scope="row"><?php echo e((($products->currentPage() * (request('row') ? request('row') : 10)) - (request('row') ? request('row') : 10)) + $loop->iteration); ?></th>
                                        
                                        <td><?php echo e($product->product_name); ?></td>
                                        <td><?php echo e($product->stock); ?></td>
                                        <td><?php echo e($product->unit->name); ?></td>
                                        <td><?php echo e($product->selling_price); ?></td>
                                        <td>
                                            <div class="d-flex">
                                                <form action="<?php echo e(route('pos.addCartItem', $product->id)); ?>" method="POST">
                                                    <?php echo csrf_field(); ?>
                                                    <input type="hidden" name="id" value="<?php echo e($product->id); ?>">
                                                    <input type="hidden" name="name" value="<?php echo e($product->product_name); ?>">
                                                    <input type="hidden" name="price" value="<?php echo e($product->selling_price); ?>">

                                                    <button type="submit" class="btn btn-outline-primary btn-sm">
                                                        <i class="fa-solid fa-plus"></i>
                                                    </button>
                                                </form>
                                            </div>
                                        </td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <tr>
                                        <th colspan="6" class="text-center" >
                                            Data not found!
                                        </th>
                                    </tr>
                                    <?php endif; ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <!-- END: Products List -->

                    <!-- BEGIN: Pagination -->
                    <div class="col-lg-12">
                        <?php echo e($products->links()); ?>

                    </div>
                    <!-- END: Pagination -->
                </div>
            </div>
        </div>
        <!-- END: Section Right -->
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('dashboard.body.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\laravel\inventory\resources\views/pos/index.blade.php ENDPATH**/ ?>